/*
 * @(#)InputSeparator.java
 *
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 *
 * RID-X : セパレータ
 *
 * @author  Intelligent Technology Inc.
 * @version 1.01 2002/01/29
 */
package jp.co.nri.rid.environment;


import java.awt.*;
import java.awt.geom.*;
import javax.swing.*;


/**
  *  セパレータ
  */
public class EnvSeparator extends JPanel {

   /**
      *  セパレータ
      */
    public EnvSeparator() {
        super();
    }

    /**
      * サイズ取得
      *
      * @return Dimension
      */
    public Dimension getPreferredSize() {
        Dimension dim = super.getPreferredSize();
        dim.height = 13;
        return dim;
    }


    /**
      * 描画
      *
      * @param  Graphics  
      * @return void
      */
    public void  paint( Graphics g){

        Dimension pdim = getSize(null);

        // 色の保存
        Color oldColor = g.getColor();
        g.setColor( Color.black );

        // 線の描画（width = 80%）
        int offset = 10 ;
        g.drawLine( offset,pdim.height/2,pdim.width-offset,pdim.height/2);

        // 元に戻す
        g.setColor( oldColor );

    }
}
